<?php
///////////////////////////////////////////////////////////////////////////////////////
// PHPizabi 0.848b C1 [ALICIA]                               http://www.phpizabi.net //
///////////////////////////////////////////////////////////////////////////////////////
// Please read the license.txt file before using / modifying this software           //
// Original author:         Claude Desjardins, R - feedback@realitymedias.com        //
// Last modification date:  August 13th 2006                                         //
// Version:                 PHPizabi 0.848b C1                                       //
//                                                                                   //
// (C) 2005, 2006 Real!ty Medias / PHPizabi - All rights reserved                    //
///////////////////////////////////////////////////////////////////////////////////////

	/* Check Structure Availability */
	if (!defined("CORE_STRAP")) die("Out of structure call");
	/* Administrative restriction */
	(!me('is_administrator')&&!me('is_superadministrator')?die("Access restricted"):NULL);

	$tpl = new template;
	$tpl -> Load("index");
	
	// LOAD VHOST DATA /////////////////////////////////////////////////////
	$vhosts = unpk(file_get_contents($CONF["VIRTUAL_HOSTS_INFOFILE"]));
	if (!is_array($vhosts)) $vhosts = array();

	// HANDLE VHOST CREATION ///////////////////////////////////////////////
	if (isset($_POST["Submit"], $_POST["domain"]) && $_POST["domain"] != "") {
		$vhosts[$_POST["domain"]] = array();
		
		if ($handle = fopen($CONF["VIRTUAL_HOSTS_INFOFILE"], "w")) {
			fwrite($handle, pk($vhosts));
			fclose($handle);
		}
	}
	
	// HANDLE VHOST DELETION ///////////////////////////////////////////////
	if (isset($_GET["rm"]) && isset($vhosts[$_GET["rm"]])) {

		unset($vhosts[$_GET["rm"]]);
		
		if ($handle = fopen($CONF["VIRTUAL_HOSTS_INFOFILE"], "w")) {
			fwrite($handle, pk($vhosts));
			fclose($handle);
		}
	}
	

	// ASSIGN ARRAY ////////////////////////////////////////////////////////////
	foreach ($vhosts as $key => $vhostsArray) {
		
		$vhostsReplacementArray[] = array(
			"vhost.id" => $key,
			"vhost.overrideCount" => count($vhostsArray)
		);
	}
	
	if (isset($vhostsReplacementArray)) $tpl -> Loop("vhostsList", $vhostsReplacementArray);

	$tpl -> AssignArray(array(
		"dbCount.total" => count($vhosts)
	));


	// TEMPLATE REPROCESS & FLUSH ////////////////////////////////////////////////////
	$tpl -> CleanZones();

	/* Get the frame templates, flush the TPL result into it */
	$frame = new template;
	$frame -> Load("!theme/{$GLOBALS["THEME"]}/templates/admin/frame.tpl");
	$frame -> AssignArray(array(
		"jump" => $tpl->Flush(1)
	));
	
	/* Assign Location Value */
	$locationArray = explode(".", $_GET["L"]);
	for ($i=0; $i<count($locationArray); $i++) {
		$locationAppendResult[] = $locationArray[$i];
		if ($i > 0) $location[] = "<a href=\"?L=".implode(".", $locationAppendResult)."\">{$locationArray[$i]}</a>";
	}
	$frame -> AssignArray(array("location" => implode(" &raquo; ", $location)));
	
	/* Set the forced chromeless mode, flush the template */
	$GLOBALS["CHROMELESS_MODE"] = 1;
	$frame -> Flush();
	
?>